backend:
  name: gitea
  repo: hoernschen/website # Path to your Gitea repository
  app_id: 6f1e6454-c3e7-42d2-aa8b-f2c0807bc084 # The Client ID provided by Gitea
  api_root: https://code.nutfactory.org/api/v1 # API URL of your Gitea instance
  base_url: https://code.nutfactory.org # Root URL of your Gitea instance
  branch: main
media_folder: assets/images
public_folder: /images
collections:
  - name: 'posts'
    label: 'Posts'
    folder: 'content/posts'
    create: true
    slug: '{{year}}-{{month}}-{{day}}-{{slug}}'
    editor:
      preview: false
    fields:
      - { label: 'Title', name: 'title', widget: 'string' }
      - { label: 'Publish Date', name: 'date', widget: 'datetime' }
      - { label: 'Description', name: 'description', widget: 'string' }
      - { label: 'Body', name: 'body', widget: 'markdown' }
